# Class GridColumnLayout

AbstractColumnLayout
org.eclipse.nebula.jface.gridviewer.GridColumnLayout

public class GridColumnLayout extends AbstractColumnLayout
The GridColumnLayout is the `Layout` used to maintain `GridColumn` sizes in a `Grid`.

You can only add the `Layout` to a container whose only child is the `Grid` control you want the `Layout` applied to. Don't assign the layout directly the `Grid`

This class was copied from

invalid reference

    TableColumnLayout

and adapted to `Grid`.

## Constructor Summary

Constructors
Constructor
Description
`GridColumnLayout()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`getColumnCount(Scrollable tableTree)`
`protected ColumnLayoutData`
`getLayoutData(Scrollable tableTree, int columnIndex)`
`protected void`
`setColumnWidths(Scrollable tableTree, int[] widths)`
`protected void`
`updateColumnData(Widget column)`

## Constructor Details

### GridColumnLayout

public GridColumnLayout()

## Method Details

### getColumnCount

protected int getColumnCount(Scrollable tableTree)

### setColumnWidths

protected void setColumnWidths(Scrollable tableTree, int[] widths)

### getLayoutData

protected ColumnLayoutData getLayoutData(Scrollable tableTree, int columnIndex)

### updateColumnData

protected void updateColumnData(Widget column)